<!DOCTYPE html>
<html>
    <head>

        <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Shop Homepage - Start Bootstrap Template</title>
        <!-- Favicon-->
        <link rel="icon" type="image/x-icon" href="/assets/favicon.ico" />
        <!-- Core theme CSS (includes Bootstrap)-->
        <link href="/css/stylesUserGame.css" rel="stylesheet" />
<link href="/css/style.css" rel="stylesheet" type="text/css">

        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        {# Run `composer require symfony/webpack-encore-bundle`
           and uncomment the following Encore helpers to start using Symfony UX #}
        {% block stylesheets %}
            {#{{ encore_entry_link_tags('app') }}#}
        {% endblock %}

        {% block javascripts %}
            {#{{ encore_entry_script_tags('app') }}#}
        {% endblock %}
    </head>
    <body>
  
     <!-- Navigation-->
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <div class="container">
                <a class="navbar-brand" href="#!">Mes jeux</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
                <div class="collapse navbar-collapse" id="navbarResponsive">
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item active">
                            <a class="nav-link" href="{{ path('userGame') }}">
                                Home
                                <span class="sr-only">(current)</span>
                            </a>
                        </li>
                         {% if app.user %}
                <li class="nav-item active"> <a class="nav-link" >{{app.user.username}} </a> </li>
                {% else %}
               <li class="nav-item" >  <a href="{{ path('login') }}"> connectez vous </a></li> 
                {% endif %}
                 {% if is_granted('ROLE_ADMIN') %}
                        <li class="nav-item"><a class="nav-link" href="{{ path('game') }}">Game</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{ path('platform') }}">platform</a></li>
                        <li class="nav-item"><a class="nav-link" href="{{ path('type') }}">type</a></li>
                         {% endif %}
                        <li class="nav-item"><a class="nav-link" href="{{ path('logout') }}">logout</a></li>
                    </ul>
                </div>
            </div>
        </nav>
          <div class="container">
        {% block body %}
        
        
        {% endblock %}
    </div>
    </body>
</html>
